CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

calibre-smtp [options] [from to text]

Sända e-post med SMTP-protokollet. calibre-smtp har två utförandelägen. I skrivläget anger du från till och text och dessa används för att skapa och sända ett e-postmeddelande. I filterläget läser calibre-smtp ett komplett e-postmeddelande från STDIN och sänder det.

text är brödtexten i e-postmeddelandet. Om text inte anges läses ett komplett e-postmeddelande från STDIN. från är avsändarens e-postadress och till är mottagarens e-postadress. När ett komplett e-postmeddelande läses från STDIN, används från och till endast i SMTP-förhandlingen, meddelanderubrikerna ändras inte.

När du skickar argument till calibre-smtp som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

--fork, -f
    Dela upp och leverera meddelande i bakgrunden. Om du använder det här alternativet bör du också använda --outbox för hantera misslyckade leveranser.

--help, -h
    visa denna hjälptext och avsluta

--localhost, -l
    Värdnamn av lokalvärden. Används vid anslutning till SMTP-server.

--outbox, -o
    Sökväg till mappen maildir för att lagra misslyckade leveranser av postmeddelanden i.

--timeout, -t
    Tidsbegränsning för förbindelse

--verbose, -v
    Var mer informativ

--version
    visar programmets versionsnummer och avsluta

  COMPOSE MAIL

Alternativ för att komponera e-post. Ignoreras om ingen text anges

--attachment, -a
    Fil att bifoga till e-posten

--subject, -s
    Ämnesrad för e-posten

  SMTP RELAY

Alternativ vid användning av en SMTP-reläserver för att skicka post. calibre kommer försöka skicka direkt om inte --relay anges.

--cafile
    Sökväg till en fil med sammanförda CA-certifikat i PEM-format som används för att verifiera servercertifikatet när du använder TLS. Systemets CA-certifikat används som standard.

--dont-verify-server-certificate
    Verifiera inte serverns certifikat när du ansluter med TLS. Detta brukade vara standardbeteendet i calibre versioner före 3.27. Om du använder en relä med ett självsignerat eller på annat sätt ogiltigt certifikat, kan du använda det här alternativet för att återställa beteendet före 3.27

--encryption-method, -e
    Krypteringsmetod att använda vid anslutning till reläserver. Valen är TLS, SSL och INGEN. Standard är TLS. VARNING: Att välja INGEN är mycket osäkert

--password, -p
    Lösenord för reläserver

--port
    Port att ansluta till reläserver. Standard är att använda 465 om krypteringsmetod är SSL och annars 25.

--relay, -r
    En SMTP-reläserver för att skicka post.

--username, -u
    Användarnamn för reläserver

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal